Subject: [PATCH v7 2/9] usb: phy: omap-usb2: use the new generic PHY framework

From: [email-masked] (Kishon Vijay Abraham I)
Date: Tue, 18 Jun 2013 15:26:23 +0530

Hi,

On Tuesday 18 June 2013 03:20 PM, Felipe Balbi wrote:
> Hi,
>
> On Tue, Jun 18, 2013 at 03:19:03PM +0530, Kishon Vijay Abraham I wrote:
>> Hi,
>>
>> On Tuesday 18 June 2013 03:10 PM, Felipe Balbi wrote:
>>> Hi,
>>>
>>> On Thu, Jun 13, 2013 at 02:13:52PM +0530, Kishon Vijay Abraham I wrote:
>>>> @@ -159,6 +191,12 @@ static int omap_usb2_probe(struct platform_device *pdev)
>>>>   	otg->start_srp		= omap_usb_start_srp;
>>>>   	otg->phy		= &phy->phy;
>>>>
>>>> +	pm_runtime_enable(phy->dev);
>>>
>>> enabling pm_runtime here has the potential to cause a real big problem.
>>> How have you tested this patch ?
>>
>> performed boot and enumeration testing. What issue do you expect here?
>
> hint: look at drvdata usage around the driver. Where is it initialized ?
> Where is it used ?

hmm.. since runtime_get calls weren't made very early, I think I dint 
see any issues. Thanks for pointing this.

Thanks
Kishon